CRAN Package Check Results for Package shinyMobile

Last updated on 2024-06-13 17:49:27 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.0.0 9.61 122.02 131.63 OK
r-devel-linux-x86_64-debian-gcc 2.0.0 7.60 73.38 80.98 ERROR
r-devel-linux-x86_64-fedora-clang 2.0.0 165.25 OK
r-devel-linux-x86_64-fedora-gcc 2.0.0 168.48 OK
r-devel-windows-x86_64 2.0.0 9.00 133.00 142.00 OK
r-patched-linux-x86_64 2.0.0 11.56 116.61 128.17 OK
r-release-linux-x86_64 2.0.0 9.04 118.78 127.82 OK
r-release-macos-arm64 2.0.0 71.00 OK
r-release-macos-x86_64 2.0.0 95.00 OK
r-release-windows-x86_64 2.0.0 10.00 134.00 144.00 OK
r-oldrel-macos-arm64 2.0.0 71.00 OK
r-oldrel-macos-x86_64 2.0.0 132.00 OK
r-oldrel-windows-x86_64 2.0.0 12.00 151.00 163.00 OK

Check Details

Version: 2.0.0
Check: package dependencies
Result: NOTE Packages suggested but not available for checking: 'testthat', 'apexcharter', 'ggplot2', 'dplyr', 'shinytest2', 'thematic' Flavor: r-devel-linux-x86_64-debian-gcc

Version: 2.0.0
Check: examples
Result: ERROR Running examples in ‘shinyMobile-Ex.R’ failed The error most likely occurred in: > base::assign(".ptime", proc.time(), pos = "CheckExEnv") > ### Name: f7SplitLayout > ### Title: Framework7 split layout > ### Aliases: f7SplitLayout > > ### ** Examples > > library(shiny) > library(ggplot2) Error in library(ggplot2) : there is no package called ‘ggplot2’ Execution halted Flavor: r-devel-linux-x86_64-debian-gcc

Version: 2.0.0
Check: tests
Result: ERROR Running ‘testthat.R’ [0s/1s] Running the tests in ‘tests/testthat.R’ failed. Complete output: > library(testthat) Error in library(testthat) : there is no package called 'testthat' Execution halted Flavor: r-devel-linux-x86_64-debian-gcc